<template>
  <div class="restaurant-card">
    <div class="col">
      <div class="card h-100">
        <!-- Restaurant Image -->
        <div>
          <img :src="require('../assets/' + image)" alt="" class="card-img-top">
        </div>
        <!-- Restaurant Summary -->
        <div class="card-body">
          <h5 class="card-title">{{ title }}</h5>
          <h6 class="card-subtitle mb-2 text-muted">{{ detail }}</h6>
          <p class="card-text">{{ sub_detail }}</p>
        </div>
        <!-- Restaurant 1 Link -->
        <div class="card-body restaurant-btn">
          <router-link class="btn btn-light"
                       :to="String('/restaurants/') + link">{{ linkName }}
          </router-link>
        </div>
        <slot></slot>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "RestaurantCard",
  props: {
    image: {
      type: String,
    },
    title: {
      type: String,
    },
    detail: {
      type: String,
    },
    sub_detail: {
      type: String,
    },
    link: {
      type: String,
    },
    linkName: {
      type: String,
    }
  }
}
</script>

<style scoped>
.btn {
  color: #584141;
  background-color: #f3f3f3;
  border-color: #c6c6c6;
  float: right;
}

.btn-light:hover {
  background-color: #a97c7c;
  color: #f6ede3;
}

.card-title {
  color: #9b7272;
}

.card-subtitle {
  color: #b1b0b0;
  padding: 1rem 0;
}

.card.h-100:hover {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
</style>